#ifndef __VIKING_H__
#define __VIKING_H__

#include "enemy.h"

class viking final: public enemy_base {
public:
        viking(RNG *rng, const feature enabled_features, const position &pos,
               const int gen_room_num);
        const char *get_race_name() const override;
        long_result attack(character *ch) override;
};

#endif
